com.independentsoft.exchange

## Class Suggestion

- java.lang.Object
- - com.independentsoft.exchange.Suggestion

-     public class Suggestion
      extends java.lang.Object

  Represents a single meeting suggestion.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Suggestion()` Initializes a new instance of the Suggestion class.
    `Suggestion(javax.xml.stream.XMLStreamReader reader)` Initializes a new instance of the Suggestion class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AttendeeConflict>` | `getAttendeeConflicts()` Contains a collection of information that describes conflicts between users and resources and the suggested meeting time.
    `java.util.Date` | `getMeetingTime()` Gets a suggested meeting time.
    `SuggestionQuality` | `getQuality()` Gets the quality of the suggested meeting time.
    `boolean` | `isWorkTime()` Gets whether the suggested meeting time occurs during scheduled work hours.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Suggestion

          public Suggestion()

      Initializes a new instance of the Suggestion class.

    - #### Suggestion

          public Suggestion(javax.xml.stream.XMLStreamReader reader)
                     throws javax.xml.stream.XMLStreamException,
                            java.text.ParseException

      Initializes a new instance of the Suggestion class.
      Parameters:
        `reader` - the reader
      Throws:
        `javax.xml.stream.XMLStreamException` - the xML stream exception
        `java.text.ParseException` - the parse exception

  - ### Method Detail

    - #### getMeetingTime

          public java.util.Date getMeetingTime()

      Gets a suggested meeting time.
      Returns:
        the meeting time

    - #### isWorkTime

          public boolean isWorkTime()

      Gets whether the suggested meeting time occurs during scheduled work hours.
      Returns:
        true, if is work time

    - #### getQuality

          public SuggestionQuality getQuality()

      Gets the quality of the suggested meeting time.
      Returns:
        the quality

    - #### getAttendeeConflicts

          public java.util.List<AttendeeConflict> getAttendeeConflicts()

      Contains a collection of information that describes conflicts between users and resources and the suggested meeting time.
      Returns:
        the attendee conflicts